@keyframes slideIn {
    from {
      right: -400px;
      opacity: 0;
    }
    to {
      right: 0;
      opacity: 1;
    }
  }
  
  @keyframes slideOut {
    from {
      right: 0;
      opacity: 1;
      visibility: visible;
    }
    to {
      right: -400px;
      opacity: 0;
      visibility: hidden;
    }
  }
  
  .order-widget.hide {
    animation: slideOut 0.4s ease-in-out forwards;
  }
  
  
  .order-widget {
    position: fixed;
    top: 0;
    right: -400px; /* Ensure it starts off-screen */
    width: 350px;
    height: 100vh;
    background: white;
    box-shadow: -4px 0 10px rgba(0, 0, 0, 0.2);
    z-index: 1100;
    border-radius: 0;
    opacity: 0;
    visibility: hidden;
  }

  .order-widget002{
    position:relative !important;
    top: 0px !important;
    right: 0px !important; /* Ensure it starts off-screen */
    width: 100% !important;
    height: 60vh !important;
    z-index: 0 !important;
    background: white;
    box-shadow: -4px 0 10px rgba(0, 0, 0, 0.2);
   bottom: 100px !important;
    border-radius: 5px;
    opacity: 1 !important;
    visibility:visible !important;
  }
  
  .order-widget.show {
    animation: slideIn 0.3s ease-out forwards; /* Slower and smoother slide-in */
    visibility: visible;
  }
  

  
  /* Overlay */
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease-in-out;
  }
  
  .overlay.show {
    opacity: 1;
    visibility: visible;
  }
  
  .overlay.hide {
    transition: opacity 0.5s ease-in-out, visibility 0.5s linear;
  }
  
  /* Close button */
  .order-widget .close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 20px;
    cursor: pointer;
    color: #333;
  }
  
  .order-widget .close-btn:hover {
    color: red;
  }
  

  .widget-question{
    font-size: 18px;
    margin-top: 50px;
    margin-bottom: 30px;
  }



  .set-price-btn{
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .price-controls{
    margin-bottom: 20px;
  }

  .price-controls input{
    border-radius: 5px;
    padding: 4px;
    text-align: center;
    border: 2px solid #ccc;
    color: #555555
  }